View Issue Details

IDProjectCategoryView StatusLast Update
0029107Open CASCADEOCCT:Visualizationpublic2018-06-29 21:19
Reporterabv Assigned Tobugmaster  
PrioritynormalSeveritytrivial 
Status closedResolutionfixed 
Product Version6.9.0 
Target Version7.3.0Fixed in Version7.3.0 
Summary0029107: Visualization - SelectMgr_FrustumBuilder constructor without arguments is not exported
DescriptionSic! SelectMgr_FrustumBuilder constructor without arguments lacks Standard_EXPORT
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0026403 closedisk Open CASCADE Add missing Standard_EXPORT keyword in SelectMgr headers 

Activities

git

2017-09-13 16:49

administrator   ~0070509

Branch CR29107 has been created by abv.

SHA-1: 3e68044f31ad376c2f279e3ffa31d9d4f80991ef


Detailed log of new commits:

Author: abv
Date: Wed Sep 13 16:49:04 2017 +0300

    0029107: Visualization - SelectMgr_FrustumBuilder constructor without arguments is not exported
    
    Standard_EXPORT is added

kgv

2017-09-21 16:43

developer   ~0070741

I suppose the trivial patch should be pushed.

git

2017-09-21 22:14

administrator   ~0070767

Branch CR29107 has been updated forcibly by inv.

SHA-1: 4422f7209f076e80409987452347403e18009c76

bugmaster

2017-09-22 13:00

administrator   ~0070781

Combination -
OCCT branch : CR29107 SHA-1: 4422f7209f076e80409987452347403e18009c76
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29107-master/

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2017-09-29 17:11

administrator   ~0071030

Branch CR29107 has been deleted by kgv.

SHA-1: 4422f7209f076e80409987452347403e18009c76

Related Changesets

occt: master 1a6726da

2017-09-13 13:49:04

abv


Committer: bugmaster Details Diff
0029107: Visualization - SelectMgr_FrustumBuilder constructor without arguments is not exported

Standard_EXPORT is added
Affected Issues
0029107
mod - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff File

Issue History

Date Modified Username Field Change
2017-09-13 16:47 abv New Issue
2017-09-13 16:47 abv Assigned To => kgv
2017-09-13 16:47 abv Target Version 7.4.0 => 7.3.0
2017-09-13 16:49 git Note Added: 0070509
2017-09-13 16:50 abv Assigned To kgv => abv
2017-09-13 16:50 abv Status new => assigned
2017-09-14 09:55 kgv Relationship added child of 0026403
2017-09-14 09:55 kgv Product Version => 6.9.0
2017-09-21 16:43 kgv Note Added: 0070741
2017-09-21 16:43 kgv Assigned To abv => bugmaster
2017-09-21 16:43 kgv Severity minor => trivial
2017-09-21 16:43 kgv Status assigned => resolved
2017-09-21 16:43 kgv Status resolved => reviewed
2017-09-21 22:14 git Note Added: 0070767
2017-09-22 12:57 bugmaster Test case number => Not required
2017-09-22 13:00 bugmaster Note Added: 0070781
2017-09-22 13:00 bugmaster Status reviewed => tested
2017-09-29 13:26 bugmaster Changeset attached => occt master 1a6726da
2017-09-29 13:26 bugmaster Status tested => verified
2017-09-29 13:26 bugmaster Resolution open => fixed
2017-09-29 17:11 git Note Added: 0071030
2018-06-29 21:15 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed